<?php
require_once("pbx/pbx.php");
require_once("ews/ExchangeServices.php");
require_once("include.php");

clearCalendarPresence();

function clearCalendarPresence() {
    $exchangeDb = get_exchange_db();
    $query = "SELECT id FROM servers;";
    $result = $exchangeDb->run($query);
    $main = new MainBackup();
    while(($row = pg_fetch_object($result))) {
        /* @var $server ExchangeServer */$server = new ExchangeServer();
        if($server->read($row->id) !== false) {
            $prefix = "{$server->name}: ";
            if($server->clearPresence() === false) {
                $main->error($prefix.$server->error, "post");
                $main->doLog("You have to delete the calendar presence yourself in your PBX.");
            }
            $main->doLog($prefix."Clearing Calendar Presence done");
        }
    }
}
?>